## org.eclipse.datatools.connectivity
Interface IManagedConnectionListener

All Known Subinterfaces:
  IManagedConnectionOfflineListener

All Known Implementing Classes:
  ManagedConnectionAdapter

    public interface IManagedConnectionListener

IManagedConnection notifies clients of changes to the connection being managed through this listener interface.

Author:
  rcernich Created on Jan 23, 2006

Method Summary
`void` `aboutToClose(ConnectEvent event)` The connection manged by the associated IManagedConnection is about to be closed.
`void` `closed(ConnectEvent event)` The connection manged by the associated IManagedConnection has been closed.
`void` `modified(ConnectEvent event)` The connection manged by the associated IManagedConnection has been modifed.
`boolean` `okToClose(ConnectEvent event)` A client (or the user) has requested the connection managed by the associated IManagedConnection be closed.
`void` `opened(ConnectEvent event)` The connection managed by the associated IManagedConnection has been opened.

Method Detail

### opened

    void opened(ConnectEvent event)

  The connection managed by the associated IManagedConnection has been opened.

  Parameters:
    `event` -

### modified

    void modified(ConnectEvent event)

  The connection manged by the associated IManagedConnection has been modifed. The context object in the event may specify details as to what on the server has been modified.

  Parameters:
    `event` -

### okToClose

    boolean okToClose(ConnectEvent event)

  A client (or the user) has requested the connection managed by the associated IManagedConnection be closed. This callback gives other clients the option of cancelling the operation (e.g. they still require access to the connection).

  Parameters:
    `event` -
  Returns:
    false to prevent the connection from being closed.

### aboutToClose

    void aboutToClose(ConnectEvent event)

  The connection manged by the associated IManagedConnection is about to be closed. Clients may use this opportunity to perform clean up operations on the connection prior to it being closed. (Note, this method is called after okToClose() and prior to closed().)

  Parameters:
    `event` -

### closed

    void closed(ConnectEvent event)

  The connection manged by the associated IManagedConnection has been closed.

  Parameters:
    `event` -